#!/usr/bin/env python
#
# GEemyle: Eemyle Connector using XML-RPC
# Copyright (C) 2003-2006 Easter-eggs <info@easter-eggs.com>
# Authors:
#      Cyril Lacoux (Yack) <clacoux@easter-eggs.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

__author__  = "Cyril Lacoux [Yack] <clacoux@easter-eggs.com>"
__cvsid__   = "$Id$"
__version__ = "$Revision$"[11:-2]
__all__     = [ "EemyleConnector"]

from connector import EemyleConnector

# Errors
ERROR_UNKNOWN              = 10000
ERROR_ACCES_DENIED         = 10001
ERROR_TRACEROUTE_NO_SERVER = 10010
ERROR_TRACEROUTE_NO_ROUTE  = 10011

eemyle_connector = None

def init():
    global eemyle_connector

    if eemyle_connector == None:
        eemyle_connector = EemyleConnector(verbose=False)

def stop():
    global eemyle_connector

    if not eemyle_connector == None and eemyle_connector.isAlive():
        eemyle_connector.stop()
        del(eemyle_connector)
        eemyle_connector = None
        
