#!/usr/bin/env python
#
# GEemyle: Server View
# Copyright (C) 2003-2006 Easter-eggs <info@easter-eggs.com>
# Authors:
#      Cyril Lacoux (Yack) <clacoux@easter-eggs.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#

__author__  = "Cyril Lacoux [Yack] <clacoux@easter-eggs.com>"
__cvsid__   = "$Id$"
__version__ = "$Revision$"[11:-2]
__all__     = ["ServerView"]


import pygtk
pygtk.require('2.0')
import gtk


import general
#import admin_contract
import comments_history
import mainboard
import network
import tickets

class ServerView(gtk.Notebook):
    
    def __init__(self):
        
        gtk.Notebook.__init__(self)

        self.general          = general.ServerGeneral()
#        self.admin_contract   = admin_contract.AdminContract()
        self.comments         = comments_history.ServerComments()
        self.history          = comments_history.ServerHistory()
        self.mainboard        = mainboard.ServerMainboard()
        self.network          = network.ServerNetwork()
        self.tickets          = tickets.ServerTickets()
        self.construct_frame()

    def construct_frame(self):

        self.set_border_width(5)

        self.append_page(self.general,        self.general.label)
#        self.append_page(self.admin_contract, self.admin_contract.label)
        self.append_page(self.comments,       self.comments.label)
        self.append_page(self.history,        self.history.label)
        self.append_page(self.mainboard,      self.mainboard.label)
        self.append_page(self.network,        self.network.label)
        self.append_page(self.tickets,        self.tickets.label)

    def set_display_lists(self, display_lists):

        self.general.set_display_lists(display_lists)
        self.mainboard.set_display_lists(display_lists)
        self.network.set_display_lists(display_lists)

    def set_server(self, server=None):
        self.general.set_server(server)
#        self.admin_contract.set_server(server)
        self.comments.set_server(server)
        self.history.set_server(server)
        self.mainboard.set_server(server)
        self.network.set_server(server)

    def set_tickets(self, tickets=None):

        self.tickets.set_tickets(tickets)

    def on_add_server_activate(self, id_customer):
        
        self.mainboard.on_add_server_activate(id_customer)
